ethminer on Ubuntu 14.04 32bit

DubmaniacDubmaniac Member Posts: 1
Hi,

Succesfully compiled geth and downloaded the blockchain, but ethminer fails compiling (cpp-ethereum).

cmake gives :

-- ctest path: /usr/bin/ctest
- CryptoPP header: /usr/include
- CryptoPP lib : /usr/lib/libcryptopp.so
- LevelDB header: /usr/include
- LevelDB lib: /usr/lib/i386-linux-gnu/libleveldb.so
-- Could NOT find rocksdb (missing: ROCKSDB_INCLUDE_DIR ROCKSDB_LIBRARY)
- v8 header: /usr/include
- v8 lib : /usr/lib/libv8.so
- Jsoncpp header: /usr/include/jsoncpp
- Jsoncpp lib : /usr/lib/i386-linux-gnu/libjsoncpp.so
CMake Error at cmake/Findjson_rpc_cpp.cmake:105 (string):
string sub-command REGEX, mode REPLACE needs at least 6 arguments total to
command.
Call Stack (most recent call first):
cmake/EthDependencies.cmake:73 (find_package)
CMakeLists.txt:339 (include)


CMake Error at cmake/Findjson_rpc_cpp.cmake:106 (string):
string sub-command REGEX, mode REPLACE needs at least 6 arguments total to
command.
Call Stack (most recent call first):
cmake/EthDependencies.cmake:73 (find_package)
CMakeLists.txt:339 (include)


CMake Error at cmake/Findjson_rpc_cpp.cmake:107 (string):
string sub-command REGEX, mode REPLACE needs at least 6 arguments total to
command.
Call Stack (most recent call first):
cmake/EthDependencies.cmake:73 (find_package)
CMakeLists.txt:339 (include)


CMake Error at cmake/FindPackageHandleStandardArgs.cmake:138 (message):
Could NOT find json_rpc_cpp: Found unsuitable version "..", but required is
at least "0.4" (found /usr/local/include)
Call Stack (most recent call first):
cmake/FindPackageHandleStandardArgs.cmake:372 (_FPHSA_FAILURE_MESSAGE)
cmake/Findjson_rpc_cpp.cmake:116 (find_package_handle_standard_args)
cmake/EthDependencies.cmake:73 (find_package)
CMakeLists.txt:339 (include)


-- Configuring incomplete, errors occurred!
See also "/home/jasper/cpp-ethereum/build/CMakeFiles/CMakeOutput.log".


Sign In or Register to comment.